import openai
import argparse

def get_openai_response(proxy=False, key=''):
    # 初始化客户端
    if not proxy:
        client = openai.OpenAI(api_key=key, base_url='https://api.openai.com/v1')
    else:
        client = openai.OpenAI(api_key=key, base_url='https://fast.bemore.lol/v1')

    # 设置消息
    message = [
        {'role': 'system', 'content': '你是一个名字判断专家，你需要根据提供的列表中的每一个字典元素的会员姓名，判断其是否为华裔的名字, 结果为 华裔 或者为 非华裔，并将结果填充到会员分类中, 整合之后返回与提供数据一样的格式给我'},
        {'role': 'user', 'content': '你好，你是谁'}
    ]
    
    # 发起请求
    response = client.chat.completions.create(model='gpt-4', messages=message)
    result_string = response.choices[0].message.content
    return result_string

def main():
    parser = argparse.ArgumentParser(description='OpenAI API Client')
    parser.add_argument('--proxy', action='store_true', help='Use proxy for API requests')
    parser.add_argument('--key', type=str, required=True, help='API key for OpenAI')
    args = parser.parse_args()

    result = get_openai_response(proxy=args.proxy, key=args.key)
    print(result)

if __name__ == '__main__':
    main()